[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH] make notify-sharp use dbus-sharp



Hello,

here is a patch for notify-sharp packaging to make it use the newer
dbus-sharp bindings. It add a new dpatch and updates the dependencies.

patch is attached.

Rico Tzschicholz

From 0e581a622cb29de42b54fa4a8b4f81b8626eec04 Mon Sep 17 00:00:00 2001
From: Rico Tzschichholz <ricotz@t-online.de>
Date: Thu, 24 Feb 2011 16:28:32 +0100
Subject: [PATCH] Add patch 03-use-dbus-sharp.dpatch for usage of new dbus-sharp bindings

---
 debian/changelog                        |    7 +
 debian/control                          |    4 +-
 debian/patches/00list                   |    2 +
 debian/patches/03-use-dbus-sharp.dpatch |  306 +++++++++++++++++++++++++++++++
 4 files changed, 317 insertions(+), 2 deletions(-)
 create mode 100644 debian/patches/03-use-dbus-sharp.dpatch

diff --git a/debian/changelog b/debian/changelog
index 3ae64ef..55bb248 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+notify-sharp (0.4.0~r3032-3) UNRELEASED; urgency=low
+
+  * debian/patches:
+    + 03-use-dbus-sharp.dpatch - use the new dbus-sharp bindings
+
+ -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 24 Feb 2011 16:26:59 +0100
+
 notify-sharp (0.4.0~r3032-2) unstable; urgency=low
 
   [ Chow Loong Jin ]
diff --git a/debian/control b/debian/control
index a39d148..18a553a 100644
--- a/debian/control
+++ b/debian/control
@@ -10,8 +10,8 @@ Build-Depends-Indep: cli-common-dev (>= 0.5.4),
                      mono-devel (>= 2.4.3),
                      monodoc-base (>= 1.1.18),
                      pkg-config,
-                     libndesk-dbus1.0-cil-dev (>= 0.4),
-                     libndesk-dbus-glib1.0-cil-dev (>= 0.3),
+                     libdbus1.0-cil-dev (>= 0.7),
+                     libdbus-glib1.0-cil-dev (>= 0.5),
                      libgtk2.0-cil-dev (>= 2.8)
 Standards-Version: 3.8.3
 Homepage: http://www.ndesk.org/NotifySharp
diff --git a/debian/patches/00list b/debian/patches/00list
index 5d040f7..8863f92 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1 +1,3 @@
 01_pkg-config-path.dpatch
+03-use-dbus-sharp.dpatch
+03-use-dbus-sharp.dpatch
diff --git a/debian/patches/03-use-dbus-sharp.dpatch b/debian/patches/03-use-dbus-sharp.dpatch
new file mode 100644
index 0000000..1beb3a7
--- /dev/null
+++ b/debian/patches/03-use-dbus-sharp.dpatch
@@ -0,0 +1,306 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03-use-dbus-sharp.dpatch by Rico Tzschichholz <ricotz@ubuntu.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/Makefile.in notify-sharp-0.4.0~r3032/Makefile.in
+--- notify-sharp-0.4.0~r3032~/Makefile.in	2009-03-05 13:54:27.000000000 +0100
++++ notify-sharp-0.4.0~r3032/Makefile.in	2011-02-21 15:51:39.923407305 +0100
+@@ -114,8 +114,8 @@
+ MONODOC_LIBS = @MONODOC_LIBS@
+ MONO_CFLAGS = @MONO_CFLAGS@
+ MONO_LIBS = @MONO_LIBS@
+-NDESK_DBUS_CFLAGS = @NDESK_DBUS_CFLAGS@
+-NDESK_DBUS_LIBS = @NDESK_DBUS_LIBS@
++DBUS_SHARP_CFLAGS = @DBUS_SHARP_CFLAGS@
++DBUS_SHARP_LIBS = @DBUS_SHARP_LIBS@
+ PACKAGE = @PACKAGE@
+ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+ PACKAGE_NAME = @PACKAGE_NAME@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/configure notify-sharp-0.4.0~r3032/configure
+--- notify-sharp-0.4.0~r3032~/configure	2009-03-05 13:54:26.000000000 +0100
++++ notify-sharp-0.4.0~r3032/configure	2011-02-21 15:50:49.293407326 +0100
+@@ -601,8 +601,8 @@
+ ac_unique_file="src/Global.cs"
+ ac_subst_vars='LTLIBOBJS
+ LIBOBJS
+-NDESK_DBUS_LIBS
+-NDESK_DBUS_CFLAGS
++DBUS_SHARP_LIBS
++DBUS_SHARP_CFLAGS
+ GTK_SHARP_LIBS
+ GTK_SHARP_CFLAGS
+ BUILD_DOCS_FALSE
+@@ -709,8 +709,8 @@
+ MONODOC_LIBS
+ GTK_SHARP_CFLAGS
+ GTK_SHARP_LIBS
+-NDESK_DBUS_CFLAGS
+-NDESK_DBUS_LIBS'
++DBUS_SHARP_CFLAGS
++DBUS_SHARP_LIBS'
+ 
+ 
+ # Initialize some variables set by options.
+@@ -1356,10 +1356,10 @@
+               C compiler flags for GTK_SHARP, overriding pkg-config
+   GTK_SHARP_LIBS
+               linker flags for GTK_SHARP, overriding pkg-config
+-  NDESK_DBUS_CFLAGS
+-              C compiler flags for NDESK_DBUS, overriding pkg-config
+-  NDESK_DBUS_LIBS
+-              linker flags for NDESK_DBUS, overriding pkg-config
++  DBUS_SHARP_CFLAGS
++              C compiler flags for DBUS_SHARP, overriding pkg-config
++  DBUS_SHARP_LIBS
++              linker flags for DBUS_SHARP, overriding pkg-config
+ 
+ Use these variables to override the choices made by `configure' or to help
+ it to find libraries and programs with nonstandard names/locations.
+@@ -3237,27 +3237,27 @@
+ fi
+ 
+ 
+-NDESK_DBUS_REQ_VERSION=0.4
+-NDESK_DBUS_GLIB_REQ_VERSION=0.3
++DBUS_SHARP_REQ_VERSION=0.7
++DBUS_SHARP_GLIB_REQ_VERSION=0.5
+ 
+ pkg_failed=no
+-{ $as_echo "$as_me:$LINENO: checking for NDESK_DBUS" >&5
+-$as_echo_n "checking for NDESK_DBUS... " >&6; }
++{ $as_echo "$as_me:$LINENO: checking for DBUS_SHARP" >&5
++$as_echo_n "checking for DBUS_SHARP... " >&6; }
+ 
+ if test -n "$PKG_CONFIG"; then
+-    if test -n "$NDESK_DBUS_CFLAGS"; then
+-        pkg_cv_NDESK_DBUS_CFLAGS="$NDESK_DBUS_CFLAGS"
++    if test -n "$DBUS_SHARP_CFLAGS"; then
++        pkg_cv_DBUS_SHARP_CFLAGS="$DBUS_SHARP_CFLAGS"
+     else
+         if test -n "$PKG_CONFIG" && \
+-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"ndesk-dbus-1.0 >= \$NDESK_DBUS_REQ_VERSION \\
+-                              ndesk-dbus-glib-1.0 >= \$NDESK_DBUS_GLIB_REQ_VERSION\"") >&5
+-  ($PKG_CONFIG --exists --print-errors "ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION") 2>&5
++    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"dbus-sharp-1.0 >= \$DBUS_SHARP_REQ_VERSION \\
++                              dbus-sharp-glib-1.0 >= \$DBUS_SHARP_GLIB_REQ_VERSION\"") >&5
++  ($PKG_CONFIG --exists --print-errors "dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION") 2>&5
+   ac_status=$?
+   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  pkg_cv_NDESK_DBUS_CFLAGS=`$PKG_CONFIG --cflags "ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION" 2>/dev/null`
++  pkg_cv_DBUS_SHARP_CFLAGS=`$PKG_CONFIG --cflags "dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION" 2>/dev/null`
+ else
+   pkg_failed=yes
+ fi
+@@ -3266,19 +3266,19 @@
+ 	pkg_failed=untried
+ fi
+ if test -n "$PKG_CONFIG"; then
+-    if test -n "$NDESK_DBUS_LIBS"; then
+-        pkg_cv_NDESK_DBUS_LIBS="$NDESK_DBUS_LIBS"
++    if test -n "$DBUS_SHARP_LIBS"; then
++        pkg_cv_DBUS_SHARP_LIBS="$DBUS_SHARP_LIBS"
+     else
+         if test -n "$PKG_CONFIG" && \
+-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"ndesk-dbus-1.0 >= \$NDESK_DBUS_REQ_VERSION \\
+-                              ndesk-dbus-glib-1.0 >= \$NDESK_DBUS_GLIB_REQ_VERSION\"") >&5
+-  ($PKG_CONFIG --exists --print-errors "ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION") 2>&5
++    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"dbus-sharp-1.0 >= \$DBUS_SHARP_REQ_VERSION \\
++                              dbus-sharp-glib-1.0 >= \$DBUS_SHARP_GLIB_REQ_VERSION\"") >&5
++  ($PKG_CONFIG --exists --print-errors "dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION") 2>&5
+   ac_status=$?
+   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  pkg_cv_NDESK_DBUS_LIBS=`$PKG_CONFIG --libs "ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION" 2>/dev/null`
++  pkg_cv_DBUS_SHARP_LIBS=`$PKG_CONFIG --libs "dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION" 2>/dev/null`
+ else
+   pkg_failed=yes
+ fi
+@@ -3297,37 +3297,37 @@
+         _pkg_short_errors_supported=no
+ fi
+         if test $_pkg_short_errors_supported = yes; then
+-	        NDESK_DBUS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION"`
++	        DBUS_SHARP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION"`
+         else
+-	        NDESK_DBUS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION"`
++	        DBUS_SHARP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION"`
+         fi
+ 	# Put the nasty error message in config.log where it belongs
+-	echo "$NDESK_DBUS_PKG_ERRORS" >&5
++	echo "$DBUS_SHARP_PKG_ERRORS" >&5
+ 
+-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION) were not met:
++	{ { $as_echo "$as_me:$LINENO: error: Package requirements (dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION) were not met:
+ 
+-$NDESK_DBUS_PKG_ERRORS
++$DBUS_SHARP_PKG_ERRORS
+ 
+ Consider adjusting the PKG_CONFIG_PATH environment variable if you
+ installed software in a non-standard prefix.
+ 
+-Alternatively, you may set the environment variables NDESK_DBUS_CFLAGS
+-and NDESK_DBUS_LIBS to avoid the need to call pkg-config.
++Alternatively, you may set the environment variables DBUS_SHARP_CFLAGS
++and DBUS_SHARP_LIBS to avoid the need to call pkg-config.
+ See the pkg-config man page for more details.
+ " >&5
+-$as_echo "$as_me: error: Package requirements (ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION) were not met:
++$as_echo "$as_me: error: Package requirements (dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION) were not met:
+ 
+-$NDESK_DBUS_PKG_ERRORS
++$DBUS_SHARP_PKG_ERRORS
+ 
+ Consider adjusting the PKG_CONFIG_PATH environment variable if you
+ installed software in a non-standard prefix.
+ 
+-Alternatively, you may set the environment variables NDESK_DBUS_CFLAGS
+-and NDESK_DBUS_LIBS to avoid the need to call pkg-config.
++Alternatively, you may set the environment variables DBUS_SHARP_CFLAGS
++and DBUS_SHARP_LIBS to avoid the need to call pkg-config.
+ See the pkg-config man page for more details.
+ " >&2;}
+    { (exit 1); exit 1; }; }
+@@ -3338,8 +3338,8 @@
+ is in your PATH or set the PKG_CONFIG environment variable to the full
+ path to pkg-config.
+ 
+-Alternatively, you may set the environment variables NDESK_DBUS_CFLAGS
+-and NDESK_DBUS_LIBS to avoid the need to call pkg-config.
++Alternatively, you may set the environment variables DBUS_SHARP_CFLAGS
++and DBUS_SHARP_LIBS to avoid the need to call pkg-config.
+ See the pkg-config man page for more details.
+ 
+ To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+@@ -3348,16 +3348,16 @@
+ is in your PATH or set the PKG_CONFIG environment variable to the full
+ path to pkg-config.
+ 
+-Alternatively, you may set the environment variables NDESK_DBUS_CFLAGS
+-and NDESK_DBUS_LIBS to avoid the need to call pkg-config.
++Alternatively, you may set the environment variables DBUS_SHARP_CFLAGS
++and DBUS_SHARP_LIBS to avoid the need to call pkg-config.
+ See the pkg-config man page for more details.
+ 
+ To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+ See \`config.log' for more details." >&2;}
+    { (exit 1); exit 1; }; }; }
+ else
+-	NDESK_DBUS_CFLAGS=$pkg_cv_NDESK_DBUS_CFLAGS
+-	NDESK_DBUS_LIBS=$pkg_cv_NDESK_DBUS_LIBS
++	DBUS_SHARP_CFLAGS=$pkg_cv_DBUS_SHARP_CFLAGS
++	DBUS_SHARP_LIBS=$pkg_cv_DBUS_SHARP_LIBS
+         { $as_echo "$as_me:$LINENO: result: yes" >&5
+ $as_echo "yes" >&6; }
+ 	:
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/configure.ac notify-sharp-0.4.0~r3032/configure.ac
+--- notify-sharp-0.4.0~r3032~/configure.ac	2009-03-05 13:48:52.000000000 +0100
++++ notify-sharp-0.4.0~r3032/configure.ac	2011-02-21 15:51:01.813407321 +0100
+@@ -66,11 +66,11 @@
+ PKG_CHECK_MODULES(GTK_SHARP, gtk-sharp-2.0 >= $GTK_SHARP_REQ_VERSION)
+ AC_SUBST(GTK_SHARP_LIBS)
+ 
+-NDESK_DBUS_REQ_VERSION=0.4
+-NDESK_DBUS_GLIB_REQ_VERSION=0.3
+-PKG_CHECK_MODULES(NDESK_DBUS, ndesk-dbus-1.0 >= $NDESK_DBUS_REQ_VERSION \
+-                              ndesk-dbus-glib-1.0 >= $NDESK_DBUS_GLIB_REQ_VERSION)
+-AC_SUBST(NDESK_DBUS_LIBS)
++DBUS_SHARP_REQ_VERSION=0.7
++DBUS_SHARP_GLIB_REQ_VERSION=0.5
++PKG_CHECK_MODULES(DBUS_SHARP, dbus-sharp-1.0 >= $DBUS_SHARP_REQ_VERSION \
++                              dbus-sharp-glib-1.0 >= $DBUS_SHARP_GLIB_REQ_VERSION)
++AC_SUBST(DBUS_SHARP_LIBS)
+ 
+ required_assemblies="Mono.Posix"
+ 
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/docs/Makefile.in notify-sharp-0.4.0~r3032/docs/Makefile.in
+--- notify-sharp-0.4.0~r3032~/docs/Makefile.in	2009-03-05 13:54:27.000000000 +0100
++++ notify-sharp-0.4.0~r3032/docs/Makefile.in	2011-02-21 15:52:22.453407288 +0100
+@@ -87,8 +87,8 @@
+ MONODOC_LIBS = @MONODOC_LIBS@
+ MONO_CFLAGS = @MONO_CFLAGS@
+ MONO_LIBS = @MONO_LIBS@
+-NDESK_DBUS_CFLAGS = @NDESK_DBUS_CFLAGS@
+-NDESK_DBUS_LIBS = @NDESK_DBUS_LIBS@
++DBUS_SHARP_CFLAGS = @DBUS_SHARP_CFLAGS@
++DBUS_SHARP_LIBS = @DBUS_SHARP_LIBS@
+ PACKAGE = @PACKAGE@
+ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+ PACKAGE_NAME = @PACKAGE_NAME@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/src/Global.cs notify-sharp-0.4.0~r3032/src/Global.cs
+--- notify-sharp-0.4.0~r3032~/src/Global.cs	2009-03-05 13:48:52.000000000 +0100
++++ notify-sharp-0.4.0~r3032/src/Global.cs	2011-02-21 15:52:47.303407277 +0100
+@@ -24,7 +24,7 @@
+ using System.Reflection;
+ using System.Collections.Generic;
+ 
+-using NDesk.DBus;
++using DBus;
+ using org.freedesktop;
+ using org.freedesktop.DBus;
+ 
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/src/Makefile.am notify-sharp-0.4.0~r3032/src/Makefile.am
+--- notify-sharp-0.4.0~r3032~/src/Makefile.am	2009-03-05 13:48:52.000000000 +0100
++++ notify-sharp-0.4.0~r3032/src/Makefile.am	2011-02-21 15:51:59.283407298 +0100
+@@ -7,7 +7,7 @@
+ LIBFLAGS = \
+ 	-r:Mono.Posix \
+ 	$(GTK_SHARP_LIBS) \
+-	$(NDESK_DBUS_LIBS)
++	$(DBUS_SHARP_LIBS)
+ 
+ CSFILES = \
+ 	$(srcdir)/Global.cs \
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/src/Makefile.in notify-sharp-0.4.0~r3032/src/Makefile.in
+--- notify-sharp-0.4.0~r3032~/src/Makefile.in	2009-03-05 13:54:27.000000000 +0100
++++ notify-sharp-0.4.0~r3032/src/Makefile.in	2011-02-21 15:52:06.933407294 +0100
+@@ -78,8 +78,8 @@
+ MONODOC_LIBS = @MONODOC_LIBS@
+ MONO_CFLAGS = @MONO_CFLAGS@
+ MONO_LIBS = @MONO_LIBS@
+-NDESK_DBUS_CFLAGS = @NDESK_DBUS_CFLAGS@
+-NDESK_DBUS_LIBS = @NDESK_DBUS_LIBS@
++DBUS_SHARP_CFLAGS = @DBUS_SHARP_CFLAGS@
++DBUS_SHARP_LIBS = @DBUS_SHARP_LIBS@
+ PACKAGE = @PACKAGE@
+ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+ PACKAGE_NAME = @PACKAGE_NAME@
+@@ -151,7 +151,7 @@
+ LIBFLAGS = \
+ 	-r:Mono.Posix \
+ 	$(GTK_SHARP_LIBS) \
+-	$(NDESK_DBUS_LIBS)
++	$(DBUS_SHARP_LIBS)
+ 
+ CSFILES = \
+ 	$(srcdir)/Global.cs \
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' notify-sharp-0.4.0~r3032~/src/Notification.cs notify-sharp-0.4.0~r3032/src/Notification.cs
+--- notify-sharp-0.4.0~r3032~/src/Notification.cs	2011-02-21 15:50:16.733407339 +0100
++++ notify-sharp-0.4.0~r3032/src/Notification.cs	2011-02-21 15:52:50.933407277 +0100
+@@ -28,7 +28,7 @@
+ using Gdk;
+ using Gtk;
+ 
+-using NDesk.DBus;
++using DBus;
+ using org.freedesktop;
+ using org.freedesktop.DBus;
-- 
1.7.4.1


Attachment: signature.asc
Description: OpenPGP digital signature


Reply to: